Bug 166663 - global name 'gfs_name' is not defined when editing a filesystem resource
global name 'gfs_name' is not defined when editing a filesystem resource
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: redhat-config-cluster (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Cluster QE
:
Depends On:
Blocks: 164914
  Show dependency treegraph
 
Reported: 2005-08-24 10:08 EDT by Bastien Nocera
Modified: 2009-04-16 16:10 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2005-753
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-07 12:51:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2005-08-24 10:08:41 EDT
system-config-cluster-1.0.12-1.0

1. Start system-config-cluster _from a console_ and select "Creat New Configuration"
2. Select DLM
3. Under "Managed Resources", select "Resources"
4. Select "Create a Resource"
5. Select "File System" in the selection box and fill other values
6. Save by selecting "OK"
7. Select "File System: <resource name>" then "Edit Resource Properties"
8. Without changing anything, select "OK". This should trigger an error on the
console like:
Traceback (most recent call last):
 File "/usr/share/system-config-cluster/ConfigTabController.py", line 1330, in
rc_panel_ok
   returnlist = self.rc_handler.validate_resource(tagname, r_obj.getName())
 File "/usr/share/system-config-cluster/ResourceHandler.py", line 231, in
validate_resource
   returnlist = apply(self.rc_validate_hash[tagname], args)
 File "/usr/share/system-config-cluster/ResourceHandler.py", line 434, in val_fs
   if name != gfs_name:
NameError: global name 'gfs_name' is not defined
Comment 1 Stanko Kupcevic 2005-08-24 11:05:37 EDT
Fixed in Errata Candidate
Comment 4 Corey Marthaler 2005-09-07 16:59:10 EDT
fix verified in 1.0.15
Comment 5 Red Hat Bugzilla 2005-10-07 12:51:03 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-753.html

Note You need to log in before you can comment on or make changes to this bug.